"use strict";

function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}

function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return typeof key === "symbol" ? key : String(key);
}

function _toPrimitive(input, hint) {
    if (typeof input !== "object" || input === null) return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
        var res = prim.call(input, hint || "default");
        if (typeof res !== "object") return res;
        throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
}
for (const tool in layui) {
    if (Object.hasOwnProperty.call(layui, tool)) {
        window[tool] = layui[tool];
    }
};
layui.use(function () {
    for (const tool in layui) {
        if (Object.hasOwnProperty.call(layui, tool)) {
            window[tool] = layui[tool];
        }
    };
});
class lay_carousel {
    constructor(parameter = {}) {
        _defineProperty(this, "reload", layui.carousel.reload);
        this.parameter = parameter;
        var carousel = layui.carousel;
        return carousel.render(parameter);
    }
    static change(filter = '', func) {
        var carousel = layui.carousel;
        carousel.on('change(' + filter + ')', func);
    }
}
_defineProperty(lay_carousel, "config", {
    elem: "elem",
    width: "width",
    height: "height",
    full: "full",
    anim: "anim",
    autoplay: "autoplay",
    interval: "interval",
    index: "index",
    arrow: "arrow",
    indicator: "indicator",
    trigger: "trigger"
});
_defineProperty(lay_carousel, "anim", {
    default: "default",
    updown: "updown",
    fade: "fade"
});
_defineProperty(lay_carousel, "arrow", {
    hover: "hover",
    always: "always",
    none: "none"
});
_defineProperty(lay_carousel, "indicator", {
    inside: "inside",
    outside: "outside",
    none: "none"
});;
class lay_colorpicker {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var colorpicker = layui.colorpicker;
        return colorpicker.render(parameter);
    }
}
_defineProperty(lay_colorpicker, "config", {
    elem: "elem",
    color: "color",
    format: "format",
    alpha: "alpha",
    predefine: "predefine",
    colors: "colors",
    size: "size",
    change: "change",
    done: "done"
});
_defineProperty(lay_colorpicker, "format", {
    rgb: "rgb",
    hex: "hex"
});
_defineProperty(lay_colorpicker, "size", {
    lg: "lg",
    sm: "sm",
    xs: "xs"
});;
class lay_date {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var laydate = layui.laydate;
        return laydate.render(parameter);
    }
}
_defineProperty(lay_date, "getEndDate", layui.laydate.getEndDate);
_defineProperty(lay_date, "config", {
    elem: "elem",
    type: "type",
    value: "value",
    isInitValue: "isInitValue",
    isPreview: "isPreview",
    range: "range",
    format: "format",
    min: "min",
    max: "max",
    trigger: "trigger",
    lang: "lang",
    theme: "theme",
    mark: "mark",
    show: "show",
    position: "position",
    zIndex: "zIndex",
    showBottom: "showBottom",
    btns: "btns",
    calendar: "calendar",
    ready: "ready",
    change: "change",
    done: "done",
    hint: "hint",
    getEndDate: "getEndDate"
});
_defineProperty(lay_date, "type", {
    year: "year",
    month: "month",
    date: "date",
    time: "time",
    datetime: "datetime"
});
_defineProperty(lay_date, "position", {
    abolute: "abolute",
    fixed: "fixed",
    static: "static"
});
_defineProperty(lay_date, "btns", {
    clear: "clear",
    now: "now",
    confirm: "confirm"
});
_defineProperty(lay_date, "lang", {
    cn: "cn",
    en: "en"
});
_defineProperty(lay_date, "theme", {
    default: "default",
    molv: "molv",
    grid: "grid"
});;
class lay_dropdown {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var dropdown = layui.dropdown;
        return dropdown.render(parameter);
    }
}
_defineProperty(lay_dropdown, "config", {
    elem: "elem",
    data: "data",
    trigger: "trigger",
    show: "show",
    align: "align",
    isAllowSpread: "isAllowSpread",
    isSpreadItem: "isSpreadItem",
    delay: "delay",
    className: "className",
    style: "style",
    templet: "templet",
    content: "content",
    ready: "ready",
    click: "click"
});
_defineProperty(lay_dropdown, "menu", {
    title: "title",
    id: "id",
    href: "href",
    target: "target",
    type: "type",
    child: "child",
    templet: "templet"
});
_defineProperty(lay_dropdown, "align", {
    left: "left",
    center: "center",
    right: "right"
});
_defineProperty(lay_dropdown, "target", {
    blank: "_blank",
    self: "_self",
    parent: "_parent",
    top: "_top"
});
_defineProperty(lay_dropdown, "type", {
    normal: "normal",
    group: "group",
    parent: "parent",
    splitLine: "-"
});;
class lay_rate {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var rate = layui.rate;
        return rate.render(parameter);
    }
}
_defineProperty(lay_rate, "setText", function (that, txt) {
    return that.span.text(txt);
});
_defineProperty(lay_rate, "config", {
    elem: "elem",
    length: "length",
    value: "value",
    theme: "theme",
    half: "half",
    text: "text",
    readonly: "readonly",
    setText: "setText",
    choose: "choose"
});;
class lay_page {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var page = layui.laypage;
        let elem = parameter.elem;
        if (/^#/.test(elem)) {
            parameter.elem = elem.replace(/#/, "");
        }
        return page.render(parameter);
    }
}
_defineProperty(lay_page, "config", {
    elem: "elem",
    count: "count",
    limit: "limit",
    limits: "limits",
    curr: "curr",
    groups: "groups",
    prev: "prev",
    next: "next",
    first: "first",
    last: "last",
    layout: "layout",
    theme: "theme",
    hash: "hash",
    jump: "jump"
});
_defineProperty(lay_page, "layout", {
    count: "count",
    prev: "prev",
    page: "page",
    next: "next",
    limit: "limit",
    refresh: "refresh",
    skip: "skip"
});;
class lay_popup {
    constructor(parameter = {}) {
        this.parameter = parameter;
        let keys = Object.keys(parameter);
        let btns = keys.filter(key => /按钮[0-9]+/g.test(key));
        if (btns) {
            keys.forEach(key => {
                if (/按钮[0-9]+/g.test(key)) {
                    parameter[key.replace("按钮", "btn")] = parameter[key];
                    delete parameter[key];
                }
            });
        }
        return [layer.open(parameter)];
    }
}
_defineProperty(lay_popup, "config", layer.config);
_defineProperty(lay_popup, "ready", layer.ready);
_defineProperty(lay_popup, "open", function (parameter) {
    let keys = Object.keys(parameter);
    let btns = keys.filter(key => /按钮[0-9]+/g.test(key));
    if (btns) {
        keys.forEach(key => {
            if (/按钮[0-9]+/g.test(key)) {
                parameter[key.replace("按钮", "btn")] = parameter[key];
                delete parameter[key];
            }
        });
    }
    return layer.open(parameter);
});
_defineProperty(lay_popup, "alert", layer.alert);
_defineProperty(lay_popup, "confirm", layer.confirm);
_defineProperty(lay_popup, "msg", layer.msg);
_defineProperty(lay_popup, "load", layer.load);
_defineProperty(lay_popup, "tip", layer.tips);
_defineProperty(lay_popup, "close", layer.close);
_defineProperty(lay_popup, "closeAll", layer.closeAll);
_defineProperty(lay_popup, "style", layer.style);
_defineProperty(lay_popup, "title", layer.title);
_defineProperty(lay_popup, "getChildFrame", layer.getChildFrame);
_defineProperty(lay_popup, "getFrameIndex", layer.getFrameIndex);
_defineProperty(lay_popup, "iframeAuto", layer.iframeAuto);
_defineProperty(lay_popup, "iframeSrc", layer.iframeSrc);
_defineProperty(lay_popup, "setTop", layer.setTop);
_defineProperty(lay_popup, "full", layer.full);
_defineProperty(lay_popup, "min", layer.min);
_defineProperty(lay_popup, "restore", layer.restore);
_defineProperty(lay_popup, "prompt", layer.prompt);
_defineProperty(lay_popup, "tab", layer.tab);
_defineProperty(lay_popup, "photos", layer.photos);
_defineProperty(lay_popup, "parentClose", function () {
    let index = parent.layer.getFrameIndex(window.name);
    parent.layer.close(index);
});
_defineProperty(lay_popup, "config", {
    type: "type",
    title: "title",
    content: "content",
    skin: "skin",
    area: "area",
    offset: "offset",
    icon: "icon",
    btn: "btn",
    btnAlign: "btnAlign",
    closeBtn: "closeBtn",
    shade: "shade",
    shadeClose: "shadeClose",
    time: "time",
    id: "id",
    anim: "anim",
    isOutAnim: "isOutAnim",
    maxmin: "maxmin",
    fixed: "fixed",
    resize: "resize",
    resizing: "resizing",
    scrollbar: "scrollbar",
    maxWidth: "maxWidth",
    maxHeight: "maxHeight",
    zIndex: "zIndex",
    move: "move",
    moveOut: "moveOut",
    moveEnd: "moveEnd",
    tips: "tips",
    tipsMore: "tipsMore",
    success: "success",
    yes: "yes",
    cancel: "cancel",
    end: "end",
    full: "full",
    min: "min",
    restore: "restore",
    minStack: "minStack"
});
_defineProperty(lay_popup, "type", {
    default: 0,
    page: 1,
    iframe: 2,
    load: 3,
    tips: 4
});
_defineProperty(lay_popup, "offset", {
    default: "auto",
    top: "t",
    right: "r",
    bottom: "b",
    left: "l",
    leftTop: "lt",
    leftBottom: "lb",
    rightTop: "rt",
    rightBottom: "rb"
});
_defineProperty(lay_popup, "icon", {
    warning: 0,
    success: 1,
    error: 2,
    question: 3,
    stop: 4,
    cry: 5,
    smile: 6,
    load: 16
});
_defineProperty(lay_popup, "btnAlign", {
    left: "l",
    right: "r",
    center: "c"
});
_defineProperty(lay_popup, "closeBtn", {
    none: 0,
    inside: 1,
    outside: 2
});
_defineProperty(lay_popup, "anim", {
    noanimation: -1,
    scale: 0,
    down: 1,
    upbit: 2,
    leftbit: 3,
    lefttumble: 4,
    fadein: 5,
    shake: 6
});
_defineProperty(lay_popup, "tips", {
    top: 1,
    right: 2,
    bottom: 3,
    left: 4
});
class lay_slider {
    constructor(parameter = {}) {
        _defineProperty(this, "setValue", function (t, a = 0) {
            let that = this;
            layui.use(['slider'], function () {
                that.slider.setValue(t, a);
            });
        });
        this.parameter = parameter;
        var slider = layui.slider;
        return slider.render(parameter);
    }
}
_defineProperty(lay_slider, "config", {
    elem: "elem",
    type: "type",
    min: "min",
    max: "max",
    range: "range",
    value: "value",
    step: "step",
    showstep: "showstep",
    tips: "tips",
    input: "input",
    height: "height",
    disabled: "disabled",
    theme: "theme",
    setTips: "setTips",
    change: "change"
});
_defineProperty(lay_slider, "type", {
    default: "default",
    vertical: "vertical"
});
class lay_table {
    constructor(parameter = {}) {
        var table = layui.table;
        if (parameter.toolbar && parameter.toolbar == "默认") {
            parameter.toolbar = 'default';
        };
        if (parameter.height && parameter.height < 0) {
            parameter.height = "full" + parameter.height;
        }
        if (!parameter.request) {
            parameter.request = {
                pageName: '当前页',
                limitName: '每页数量'
            };
        }
        if (!parameter.response) {
            parameter.response = {
                statusName: '状态',
                msgName: '提示文本',
                dataName: '数据',
                countName: '数据总数'
            };
        }
        if (parameter.cols && parameter.cols.length > 0 && parameter.cols[0] && parameter.cols[0].length > 0) {
            parameter.cols[0].forEach(v => {
                if (v.fixed === "左侧") {
                    v.fixed = "left";
                } else if (v.fixed === "右侧") {
                    v.fixed = "right";
                }
            })
        }
        return table.render(parameter);
    }
}
_defineProperty(lay_table, "config", {
    elem: "elem",
    cols: "cols",
    url: "url",
    toolbar: "toolbar",
    defaultToolbar: "defaultToolbar",
    width: "width",
    height: "height",
    cellMinWidth: "cellMinWidth",
    done: "done",
    error: "error",
    data: "data",
    escape: "escape",
    totalRow: "totalRow",
    page: "page",
    limit: "limit",
    limits: "limits",
    loading: "loading",
    title: "title",
    text: "text",
    autoSort: "autoSort",
    initSort: "initSort",
    id: "id",
    skin: "skin",
    parseData: "parseData",
    method: "method",
    where: "where"
});
_defineProperty(lay_table, "col_config", {
    field: "field",
    title: "title",
    width: "width",
    minWidth: "minWidth",
    type: "type",
    LAY_CHECKED: "LAY_CHECKED",
    fixed: "fixed",
    hide: "hide",
    totalRow: "totalRow",
    totalRowText: "totalRowText",
    sort: "sort",
    unresize: "unresize",
    edit: "edit",
    event: "event",
    style: "style",
    align: "align",
    colspan: "colspan",
    rowspan: "rowspan",
    templet: "templet",
    toolbar: "toolbar"
});
_defineProperty(lay_table, "type", {
    normal: "normal",
    checkbox: "checkbox",
    radio: "radio",
    numbers: "numbers",
    space: "space"
});
_defineProperty(lay_table, "align", {
    left: "left",
    center: "center",
    right: "right"
});
_defineProperty(lay_table, "defaultToolbar", {
    filter: "filter",
    exports: "exports",
    print: "print",
    extend: "extend"
});
_defineProperty(lay_table, "extendToolbar", {
    title: "title",
    layEvent: "layEvent",
    icon: "icon"
});
_defineProperty(lay_table, "fixed", {
    left: "left",
    right: "right",
});
_defineProperty(lay_table, "resize", layui.table.resize);
_defineProperty(lay_table, "reload", layui.table.reload);
_defineProperty(lay_table, "exportFile", layui.table.exportFile);
_defineProperty(lay_table, "getData", layui.table.getData);
_defineProperty(lay_table, "on", layui.table.on);
_defineProperty(lay_table, "checkboxEvent", function (filter, func) {
    layui.table.on("checkbox(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "radioEvent", function (filter, func) {
    layui.table.on("radio(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "editEvent", function (filter, func) {
    layui.table.on("edit(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "toolEvent", function (filter, func) {
    layui.table.on("tool(" + filter + ")", function (obj) {
        func(obj, this);
    });
});
_defineProperty(lay_table, "toolbarEvent", function (filter, func) {
    layui.table.on("toolbar(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "checkStatus", function (id = '') {
    return layui.table.checkStatus(id);
});
_defineProperty(lay_table, "rowEvent", function (filter, func) {
    layui.table.on("row(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "rowDoubleEvent", function (filter, func) {
    layui.table.on("rowDouble(" + filter + ")", function (obj) {
        func(obj);
    });
});
_defineProperty(lay_table, "sortEvent", function (filter, func) {
    layui.table.on("sort(" + filter + ")", function (obj) {
        func(obj);
    });
});;
class lay_transfer {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var transfer = layui.transfer;
        return transfer.render(parameter);
    }
    static set(parameter) {
        var transfer = layui.transfer;
        return transfer.set(parameter);
    }
    static reload(id, parameter) {
        var transfer = layui.transfer;
        return transfer.reload(id, parameter);
    }
}
_defineProperty(lay_transfer, "getData", layui.transfer.getData);
_defineProperty(lay_transfer, "config", {
    elem: "elem",
    title: "title",
    data: "data",
    parseData: "parseData",
    value: "value",
    id: "id",
    showSearch: "showSearch",
    width: "width",
    height: "height",
    text: "text",
    onchange: "onchange"
});
_defineProperty(lay_transfer, "menu", {
    id: "value",
    title: "title",
    disabled: "disabled",
    checked: "checked"
});
_defineProperty(lay_transfer, "text", {
    none: "none",
    searchNone: "searchNone"
});;
class lay_tree {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var tree = layui.tree;
        return tree.render(parameter);
    }
}
_defineProperty(lay_tree, "config", {
    elem: "elem",
    data: "data",
    id: "id",
    showCheckbox: "showCheckbox",
    edit: "edit",
    accordion: "accordion",
    onlyIconControl: "onlyIconControl",
    isJump: "isJump",
    showLine: "showLine",
    text: "text",
    oncheck: "oncheck",
    operate: "operate",
    click: "click"
});
_defineProperty(lay_tree, "menu", {
    title: "title",
    id: "id",
    field: "field",
    children: "children",
    href: "href",
    spread: "spread",
    checked: "checked",
    disabled: "disabled"
});
_defineProperty(lay_tree, "text", {
    none: "none",
    defaultNodeName: "defaultNodeName"
});
_defineProperty(lay_tree, "edit", {
    add: "add",
    update: "update",
    del: "del"
});
_defineProperty(lay_tree, "getChecked", layui.tree.getChecked);
_defineProperty(lay_tree, "setChecked", layui.tree.setChecked);
_defineProperty(lay_tree, "reload", layui.tree.reload);;
class lay_upload {
    constructor(parameter = {}) {
        this.parameter = parameter;
        var upload = layui.upload;
        switch (parameter["accept"]) {
            case "图片":
                parameter["accept"] = "images";
                break;
            case "视频":
                parameter["accept"] = "video";
                break;
            case "音频":
                parameter["accept"] = "audio";
                break;
            case "所有文件":
                parameter["accept"] = "file";
        }
        return [upload.render(parameter)][0];
    }
    reload(parameter) {
        let that = this;
        layui.use(['upload'], function () {
            that.uploadItem.reload(parameter);
        });
    }
    upload() {
        let that = this;
        layui.use(['upload'], function () {
            that.uploadItem.upload();
        });
    }
}
_defineProperty(lay_upload, "config", {
    elem: "elem",
    url: "url",
    data: "data",
    headers: "headers",
    accept: "accept",
    acceptMime: "acceptMime",
    exts: "exts",
    auto: "auto",
    bindAction: "bindAction",
    field: "field",
    size: "size",
    multiple: "multiple",
    number: "number",
    drag: "drag",
    choose: "choose",
    before: "before",
    done: "done",
    error: "error",
    allDone: "allDone",
    progress: "progress"
});;
class lay_element {
    constructor() { }
}
_defineProperty(lay_element, "on", function (filter = '', fun) {
    if (/^选项卡切换\(/.test(filter)) {
        filter = filter.replace(/^选项卡切换\(/, "tab(");
    };
    if (/^选项卡删除\(/.test(filter)) {
        filter = filter.replace(/^选项卡删除\(/, "tabDelete(");
    };
    if (/^导航菜单\(/.test(filter)) {
        filter = filter.replace(/^导航菜单\(/, "nav(");
    };
    if (/^折叠面板\(/.test(filter)) {
        filter = filter.replace(/^折叠面板\(/, "collapse(");
    };
    return layui.element.on(filter, fun);
});
_defineProperty(lay_element, "tabAdd", function () {
    var filter = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments.length > 1 ? arguments[1] : undefined;
    if (filter && options.id) {
        var list = document.querySelectorAll("*[lay-filter=".concat(filter, "] .layui-tab-title li"));
        if (list.length > 0) {
            var findDom = Array.from(list).find(function (v) {
                return v.getAttribute('lay-id') == options.id;
            });
            if (findDom) {
                return findDom;
            }
        }
    };
    return layui.element.tabAdd(filter, options);
});
_defineProperty(lay_element, "tabAddLinkContent", function (id, link = "", class1 = "") {
    return `<iframe id="${id}" src="${link}" class="${class1}"> </iframe>`;
});
_defineProperty(lay_element, "tabDelete", layui.element.tabDelete);
_defineProperty(lay_element, "tabChange", layui.element.tabChange);
_defineProperty(lay_element, "tab", layui.element.tab);
_defineProperty(lay_element, "progress", layui.element.progress);
_defineProperty(lay_element, "init", layui.element.init);
_defineProperty(lay_element, "render", function (type = '', filter = '') {
    if (type == "选项卡") {
        type = 'tab';
    } else if (type == "导航") {
        type = 'nav';
    } else if (type == "面包屑") {
        type = 'breadcrumb';
    } else if (type == "进度条") {
        type = 'progress';
    } else if (type == "折叠面板") {
        type = 'collapse';
    }
    return layui.element.render(type, filter);
});
_defineProperty(lay_element, "tab_config", {
    title: "title",
    content: "content",
    id: "id"
});
class lay_util {
    constructor() { }
}
_defineProperty(lay_util, "fixbar", layui.util.fixbar);
_defineProperty(lay_util, "countdown", layui.util.countdown);
_defineProperty(lay_util, "timeAgo", layui.util.timeAgo);
_defineProperty(lay_util, "toDateString", layui.util.toDateString);
_defineProperty(lay_util, "digit", layui.util.digit);
_defineProperty(lay_util, "escape", layui.util.escape);
_defineProperty(lay_util, "event", layui.util.event);
class lay_general {
    constructor() { }
}
_defineProperty(lay_general, "code", layui.code);
_defineProperty(lay_general, "getDeviceInfo", layui.device);
class lay_form {
    constructor() { }
}
_defineProperty(lay_form, "formSubmitEvent", function (filter, callback, bool) {
    layui.form.on('submit(' + filter + ')', function (data) {
        let back = callback(data);
        if (back == false) {
            return back;
        }
        return bool;
    });
});
_defineProperty(lay_form, "formSelectEvent", function (filter, callback) {
    layui.form.on('select(' + filter + ')', function (data) {
        callback(data);
    });
});
_defineProperty(lay_form, "formCheckboxEvent", function (filter, callback) {
    layui.form.on('checkbox(' + filter + ')', function (data) {
        callback(data);
    });
});
_defineProperty(lay_form, "formSwitchEvent", function (filter, callback) {
    layui.form.on('switch(' + filter + ')', function (data) {
        callback(data);
    });
});
_defineProperty(lay_form, "formRadioEvent", function (filter, callback) {
    layui.form.on('radio(' + filter + ')', function (data) {
        callback(data);
    });
});
_defineProperty(lay_form, "val", function (filter, data = null) {
    return layui.form.val(filter, data);
});
_defineProperty(lay_form, "render", function (el = '') {
    layui.form.render(el);
});
_defineProperty(lay_form, "selectsDown", function (inputID = '', selectId = '') {
    layui.use('form', function () {
        let input_val = $(inputID).val();
        let selected = input_val ? input_val.split(",") : [];
        $(selectId).next(".layui-unselect").find("input").val(selected);
        $(selectId).next(".layui-unselect").find("dd").each(function () {
            if (selected.indexOf($(this).text()) > -1) {
                $(this).addClass("layui-select-this");
            }
        })
        $(".layui-form-select dl dd.layui-this").addClass("layui-select-this")
        $(selectId).next(".layui-unselect").on("click", function () {
            $(selectId).next(".layui-unselect").find("input").val(selected);
        });
        $(selectId).next(".layui-unselect").find("dd").on("click", function () {
            let val = $(this).text()
            if (val != "请选择") {
                let index = selected.indexOf(val);
                if (index == -1) {
                    selected.push(val);
                    $(this).addClass("layui-select-this");
                } else {
                    selected.splice(index, 1);
                    $(this).removeClass("layui-select-this");
                }
                $(selectId).next(".layui-unselect").addClass("layui-form-selected")
            }
            $(inputID).val(selected);
            $(selectId).next(".layui-unselect").find("input").val(selected);
        });
    });
});
class lay_edit {
    constructor() { }
}